<?php get_header(); ?>
<div id="container">
	<div id="content">
		<?php if(get_query_var('author_name')) :
			$curauth = get_user_by('slug', get_query_var('author_name'));
		else :
			$curauth = get_userdata(get_query_var('author'));
		endif; ?>
		<?php if (have_posts()) : ?>
			<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
			<?php /* If this is a category archive */ if (is_category()) { ?>
			<h2><?php _e("Archive for the", "tweaker2"); ?> <strong><?php single_cat_title(); ?></strong> <?php _e("Category", "tweaker2"); ?></h2>
			<?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
			<h2><?php _e("Posts Tagged", "tweaker2"); ?> <strong><?php single_tag_title(); ?></strong></h2>
			<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
			<h2><?php _e("Archive for", "tweaker2"); ?> <strong><?php the_time( 'j F Y' ); ?></strong></h2>
			<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
			<h2><?php _e("Archive for", "tweaker2"); ?> <strong><?php the_time( 'F Y' ); ?></strong></h2>
			<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
			<h2><?php _e("Archive for", "tweaker2"); ?> <strong><?php the_time( 'Y' ); ?></strong></h2>
			<?php /* If this is an author archive */ } elseif (is_author()) { ?>
			<h2><?php _e("Author Archive - ", "tweaker2"); ?><?php echo $curauth->nickname; ?></h2>
			<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
			<h2><?php _e("Blog Archives", "tweaker2"); ?></h2>
			<?php } ?>
			<?php get_template_part( 'main-loop' ); ?>
			<div class="navigation">
				<div class="navigation-left"><?php next_posts_link( '&laquo; Older Entries' ) ?></div>
				<div class="navigation-right"><?php previous_posts_link( 'Newer Entries &raquo;' ) ?></div>
			</div>
		<?php else :
			if ( is_category() ) { // If this is a category archive
				printf( "<h2 class='center'>Sorry, but there aren't any posts in the %s category yet.</h2>", single_cat_title('',false) );
			} else if ( is_date() ) { // If this is a date archive
				echo( "<h2>Sorry, but there aren't any posts with this date.</h2>" );
			} else if ( is_author() ) { // If this is a category archive
				$userdata = get_userdatabylogin(get_query_var( 'author_name' ) );
				printf( "<h2 class='center'>Sorry, but there aren't any posts by %s yet.</h2>", $userdata->display_name );
			} else {
				echo( "<h2 class='center'>No posts found.</h2>" );
			}
			get_search_form();
		endif; ?>
	</div>
	<?php get_sidebar(); ?>
	<?php get_footer(); ?>